=== debian/changelog ===
ros-humble-rosbag2-storage-mcap (0.15.7-1jammy) jammy; urgency=high

  * [humble] Don't crash when type definition cannot be found, and find srv defs if available (#1398 <https://github.com/ros2/rosbag2/issues/1398>)
  * [humble] Add ROS_DISTRO metadata record to mcap file when opening for writing (backport #1371 <https://github.com/ros2/rosbag2/issues/1371>) (#1393 <https://github.com/ros2/rosbag2/issues/1393>)
  * Contributors: Emerson Knapp, Michael Orlov, mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.6-1jammy) jammy; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.5-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.4-1jammy) jammy; urgency=high

  * rosbag2_storage_mcap: fix rosbag2_cpp tests (#1205 <https://github.com/ros2/rosbag2/issues/1205>)
  * [Humble backport] rosbag2_storage_mcap: merge into rosbag2 repo (#1163 <https://github.com/ros2/rosbag2/issues/1163>) (#1189 <https://github.com/ros2/rosbag2/issues/1189>)
  * Contributors: james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.6.0-1jammy) jammy; urgency=high

  * mcap_storage: 'none' is a valid storage preset profile (#86 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/86>)
  * mcap_storage: handle update_metadata call (#83 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/83>)
  * Update clang-format rules to fit ROS 2 style guide (#80 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/80>)
  * Revert "read_order: throw exception from set_read_order for unsupported orders"
    This reverts commit aef9b9a65293f9e5d80a858ef84e485a8655a0c0.
  * read_order: throw exception from set_read_order for unsupported orders
  * Fix compile flags to work on rosbag_storage:0.17.x (#78 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/78>)
    This fixes the compile flags for rolling, which has two versions -- one that does not support read order (0.17.x) and one that does support read order (0.18.x).
  * Fix Windows build (#73 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/73>)
    Update mcap version to newest windows-compatible release.
    Add visibility macros for tests.
    Add clang-format preprocessor indentation for visibility_control to be readable.
  * Contributors: Andrew Symington, Emerson Knapp, James Smith, james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 28 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.5.0-1jammy) jammy; urgency=high

  * set defaults for SQLite plugin parity (#68 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/68>)
  * rosbag2_storage_mcap: add storage preset profiles (#57 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/57>)
  * rename test_fixture_interfaces package to testdata (#64 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/64>)
  * Switch to using the vendored zstd library. (#59 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/59>)
  * Add set_read_order reader API (#54 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/54>)
  * Contributors: Chris Lalancette, Emerson Knapp, James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 02 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.4.0-1jammy) jammy; urgency=high

  * Some minor improvements in rosbag2_storage_mcap after review (#58 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/58>)
    1. Fixed some findings from Clang-Tidy
    1. Some renames according to the ROS2 coding style
    1. Add default initializations for member variables
    1. Moved code responsible for adding schema and channel from write(msg)
    to create_topic(topic) method to reduce performance burden on first
    message write and in lieu to preparation for moving schema collection
    process to upper SequentialWriter layer.
  * Revert "rosbag2_storage_mcap: add storage preset profiles"
    This reverts commit 38830add3935b978968fe2703d3180b413ccc8c2.
  * rosbag2_storage_mcap: add storage preset profiles
  * Contributors: James Smith, Michael Orlov

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 06 Oct 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.3.0-1jammy) jammy; urgency=high

  * Store IDL message definitions in Schema records when no MSG definition is available
    (#43 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/43>)
  * Contributors: James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 09 Sep 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.2.0-1jammy) jammy; urgency=high

  * Support timestamp-ordered playback (#50 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/50>)
  * Support regex topic filtering
  * Contributors: James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 08 Sep 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.1.7-1jammy) jammy; urgency=high

  * Add all lz4 sources to fix undefined symbols at runtime (#46 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/46>)
  * Contributors: Emerson Knapp

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 15 Aug 2022 00:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.1.6-1jammy) jammy; urgency=high

  * Upgrade mcap to fix LZ4 error and segfault (#42 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/42>)
    Incorporates fixes from https://github.com/foxglove/mcap/pull/478 and https://github.com/foxglove/mcap/pull/482
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 22 Jul 2022 00:00:00 -0000


