## ros-humble-rosbag2-storage-mcap 0.15.12

=== debian/changelog ===
ros-humble-rosbag2-storage-mcap (0.15.12-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.11-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.10-1bookworm) bookworm; urgency=high

  * [humble] Use rw_lock to protect mcap metadata lists. (backport #1561 <https://github.com/ros2/rosbag2/issues/1561>) (#1567 <https://github.com/ros2/rosbag2/issues/1567>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.9-1bookworm) bookworm; urgency=high

  * Link and compile against rosbag2_storage_mcap: Fixed issue 1492 (#1496 <https://github.com/ros2/rosbag2/issues/1496>) (#1498 <https://github.com/ros2/rosbag2/issues/1498>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.8-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.7-1bookworm) bookworm; urgency=high

  * [humble] Don't crash when type definition cannot be found, and find srv defs if available (#1398 <https://github.com/ros2/rosbag2/issues/1398>)
  * [humble] Add ROS_DISTRO metadata record to mcap file when opening for writing (backport #1371 <https://github.com/ros2/rosbag2/issues/1371>) (#1393 <https://github.com/ros2/rosbag2/issues/1393>)
  * Contributors: Emerson Knapp, Michael Orlov, mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.6-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.5-1bookworm) bookworm; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.15.4-1bookworm) bookworm; urgency=high

  * rosbag2_storage_mcap: fix rosbag2_cpp tests (#1205 <https://github.com/ros2/rosbag2/issues/1205>)
  * [Humble backport] rosbag2_storage_mcap: merge into rosbag2 repo (#1163 <https://github.com/ros2/rosbag2/issues/1163>) (#1189 <https://github.com/ros2/rosbag2/issues/1189>)
  * Contributors: james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.6.0-1bookworm) bookworm; urgency=high

  * mcap_storage: 'none' is a valid storage preset profile (#86 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/86>)
  * mcap_storage: handle update_metadata call (#83 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/83>)
  * Update clang-format rules to fit ROS 2 style guide (#80 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/80>)
  * Revert "read_order: throw exception from set_read_order for unsupported orders"
    This reverts commit aef9b9a65293f9e5d80a858ef84e485a8655a0c0.
  * read_order: throw exception from set_read_order for unsupported orders
  * Fix compile flags to work on rosbag_storage:0.17.x (#78 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/78>)
    This fixes the compile flags for rolling, which has two versions -- one that does not support read order (0.17.x) and one that does support read order (0.18.x).
  * Fix Windows build (#73 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/73>)
    Update mcap version to newest windows-compatible release.
    Add visibility macros for tests.
    Add clang-format preprocessor indentation for visibility_control to be readable.
  * Contributors: Andrew Symington, Emerson Knapp, James Smith, james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 27 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.5.0-1bookworm) bookworm; urgency=high

  * set defaults for SQLite plugin parity (#68 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/68>)
  * rosbag2_storage_mcap: add storage preset profiles (#57 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/57>)
  * rename test_fixture_interfaces package to testdata (#64 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/64>)
  * Switch to using the vendored zstd library. (#59 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/59>)
  * Add set_read_order reader API (#54 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/54>)
  * Contributors: Chris Lalancette, Emerson Knapp, James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 01 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.4.0-1bookworm) bookworm; urgency=high

  * Some minor improvements in rosbag2_storage_mcap after review (#58 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/58>)
    1. Fixed some findings from Clang-Tidy
    1. Some renames according to the ROS2 coding style
    1. Add default initializations for member variables
    1. Moved code responsible for adding schema and channel from write(msg)
    to create_topic(topic) method to reduce performance burden on first
    message write and in lieu to preparation for moving schema collection
    process to upper SequentialWriter layer.
  * Revert "rosbag2_storage_mcap: add storage preset profiles"
    This reverts commit 38830add3935b978968fe2703d3180b413ccc8c2.
  * rosbag2_storage_mcap: add storage preset profiles
  * Contributors: James Smith, Michael Orlov

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 05 Oct 2022 16:00:00 -0000

ros-humble-rosbag2-storage-mcap (0.3.0-1bookworm) bookworm; urgency=high

  * Store IDL message definitions in Schema records when no MSG definition is available

